Subject: Re: fanotify as syscalls

From: "[email-masked]" <[email-masked]>
Date: Wed, 23 Sep 2009 17:58:50 -0400

On Wed, Sep 23, 2009 at 08:35:18AM -0700, Davide Libenzi wrote:
> The fear is that this becomes a trojan horse (no pun intended) for more 
> and more hooks and "stuff", driven by we-really-need-this-too and 
> we-really-need-that-too. And once something it's in, it's harder to say no, 
> under the pressure of offering a "limited solution".
> This ws the reason I threw the syscall tracing thing in, so they have a 
> low level generic hook, and they cam knock themselves out in their module 
> (might need a few exports, but that's about it).

Replacing idiotify with a saner interface is a good goal.  I just don't
think we should take the stakes of the snake oil industry too serious in
it.